#ifndef FORMLISTWIDGETHISTORY_H
#define FORMLISTWIDGETHISTORY_H

#include "formlistwidget.h"

class FormListWidgetHistory : public FormListWidget
{
    Q_OBJECT
public:
    explicit FormListWidgetHistory(QWidget *parent = nullptr);
    virtual ~FormListWidgetHistory();

    virtual void keyReleaseEvent(QKeyEvent *event);

    virtual void ExecuteMenu();

    virtual void ChangeHeader();

    virtual void Clear();

    virtual void UpdateHistoryList();

    virtual void CellDoubleClicked(int nRow, int nColumn);

    virtual void Init();

    void GetExportList();


protected:
    bool m_bExecute;


public slots:
    void ListSingleDown();
    void ListSingleUp();

signals:

};

#endif // FORMLISTWIDGETHISTORY_H
